aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/ytcc/yts9
1 files changed, 4 insertions, 5 deletions
diff --git a/hm/soispha/pkgs/scripts/specific/ytcc/yts b/hm/soispha/pkgs/scripts/specific/ytcc/yts
index 390cc0f5..534151a6 100755
--- a/hm/soispha/pkgs/scripts/specific/ytcc/yts
+++ b/hm/soispha/pkgs/scripts/specific/ytcc/yts
@@ -9,11 +9,6 @@ AUTHORS="Soispha"
YEARS="2023"
NAME="neorg"
-cleanup() {
- task stop "$TASK_UUID"
-}
-trap cleanup EXIT
-
help_text="
# Commands:
# w, watch <id> = watch id
@@ -94,6 +89,10 @@ table="$(ytcc --output json list "$@" | jq --raw-output 'map("pick \(.id) \(.tit
selection_file="$(mktmp)";
+cleanup() {
+ task stop "$TASK_UUID"
+}
+trap cleanup EXIT
task start "$TASK_UUID"
echo "$table" > "$selection_file";